Bug 170268 - [PATCH] devel/arduino-mk: Fix version.sh script for arduino 1.0.1
Summary: [PATCH] devel/arduino-mk: Fix version.sh script for arduino 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 06:10 UTC by leres
Modified: 2012-08-06 11:44 UTC (History)
1 user (show)

See Also:


Attachments
patches.txt (688 bytes, text/plain)
2012-07-30 06:10 UTC, leres
no flags Details
patches.txt (6.65 KB, text/plain; charset=us-ascii)
2012-08-05 08:03 UTC, leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2012-07-30 06:10:11 UTC
	The current version.sh script in arduino-mk doesn't correctly deal
	with the new arduino version, 1.0.1.

Fix: Please see attached patch.
How-To-Repeat: 	% cat /usr/local/arduino/lib/version.txt
	1.0.1
	% /usr/ports/devel/arduino-mk/files/version.sh /usr/local/arduino/lib/version.txt
	100
Comment 1 scheidell freebsd_committer 2012-08-03 10:28:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 scheidell freebsd_committer 2012-08-03 10:31:24 UTC
State Changed
From-To: open->feedback

Did you mean to bump portversion? or set portREVISION=1? 
portlint -abmt 
WARN: Makefile: [46]: use ${VARIABLE}, instead of $(VARIABLE). 
WARN: Makefile: possible use of absolute pathname "/Applications/Arduin...". 
WARN: Makefile: only one MASTER_SITE configured.  Consider adding additional mirrors. 
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX. 
WARN: Makefile: dependency to gmake listed in RUN_DEPENDS. consider using USE_GMAKE. 
FATAL: /dumpster/home/scheidell/ports/ports/devel/arduino-mk/distinfo: has no SIZE record for arduino-mk_0.7.tar.gz. 
Argument "/dumpster/home/scheidell/ports/ports/devel/arduino-mk/di..." isn't numeric in subtraction (-) at  
/usr/local/bin/portlint line 607. 
Argument "no checksum record for arduino-mk_0.7.tar.gz." isn't numeric in numeric gt (>) at /usr/local/bin/portlint line 3176. 
Use of uninitialized value $msg in concatenation (.) or string at /usr/local/bin/portlint line 3177. 
FATAL: -1: [no checksum record for arduino-mk_0.7.tar.gz.]:  
WARN: /dumpster/home/scheidell/ports/ports/devel/arduino-mk/distinfo: no checksum records for all supported algorithms  
(SHA256) for arduino-mk_0.7.tar.gz.
Comment 3 leres 2012-08-05 08:03:15 UTC
Here's an updated patchset that updates to arduino-mk 0.8 and also
updates the version.sh script for arduino > 1.0.

		Craig
Comment 4 scheidell freebsd_committer 2012-08-05 22:46:57 UTC
===>   Patching for arduino-mk-0.8
===>    arduino-mk-0.8 depends on file: /usr/local/arduino/lib/version.txt - found
===>   Applying FreeBSD patches for arduino-mk-0.8
/a/ports/devel/arduino-mk/files/version.sh: Permission denied
*** Error code 126

Stop in /a/ports/devel/arduino-mk.
================================================================
build of /usr/ports/devel/arduino-mk ended at Sun Aug  5 21:40:31 UTC 2012


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 leres 2012-08-06 00:32:28 UTC
On 08/05/12 14:46, Michael Scheidell wrote:
> ===>  Patching for arduino-mk-0.8
> ===>   arduino-mk-0.8 depends on file: /usr/local/arduino/lib/version.txt - found
> ===>  Applying FreeBSD patches for arduino-mk-0.8
> /a/ports/devel/arduino-mk/files/version.sh: Permission denied
> *** Error code 126
> 
> Stop in /a/ports/devel/arduino-mk.
> ================================================================
> build of /usr/ports/devel/arduino-mk ended at Sun Aug  5 21:40:31 UTC 2012

files/version.sh needs to be executable; it was that way with 0.6. Can
you "chmod +x files/version.sh" after patching to to restore the attribute?

		Craig
Comment 6 scheidell freebsd_committer 2012-08-06 11:44:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!